# image:
#   repository: redis/redis-stack-server
#   tag: 7.2.0-v10

# NOTE(mrtz): Hack for working with bitnami legacy registry
global:
  security:
    allowInsecureImages: true
image:
    repository: bitnamilegacy/redis

architecture: replication

replica:
  replicaCount: 2
  # command:
  #   - "/opt/redis-stack/bin/redis-server"
  #   - "--loadmodule"
  #   - "/opt/redis-stack/lib/redisearch.so"
  #   - "MAXSEARCHRESULTS"
  #   - "10000"
  #   - "MAXAGGREGATERESULTS"
  #   - "10000"
  #   - "--loadmodule"
  #   - "/opt/redis-stack/lib/rejson.so"

auth:
  enabled: true
  sentinel: true
  password: ""
  usePasswordFiles: false
  existingSecretPasswordKey: ""
  # existingSecret: staging-redis

master:
  resources:
    limits:
      ephemeral-storage: 1024Mi
      memory: 192Mi
    requests:
      cpu: 150m
      ephemeral-storage: 50Mi
      memory: 128Mi
